## Installed Packages

### System-wide

#### Development
* glade
  * to design gtk apps
* libXres
  * to use gamescope
* online-judge-tools(pip)
  * Grind

#### Games
* SuperTuxKart

#### Command Line Productivity
* ripgrep
  * quickly search thru dirs
* z
  * replacement of fasd
* nnn(locally)
  * file manager
* entr
  * watch for file change

#### Mail
* Thunderbird

#### Video and audio
* xdg-desktop-portal
  * for use with screencasting
* rtkit
  * for better dbus support
* ofono
  * for better bluetooth conection
* obs
  * for test streaming
* wlrobs
  * wayland plugin

#### System
* android-tools
  * to use adb fastboot ... etc
* ncurses-compta
  * to make lineageOS
* v4l2loopback
  * to loopback webcam into a device
* wine
  * Fuck tencent, i hate chinese proprietary shitware.
* winetricks
  * I hate wine and tencent.
* wf-recorder
  * record screen
* tree
  * to show things in a tree

#### Softwares
* imv
  * for image viewing
* fzf
  * fuzzy searcher ytfzf
* wf-recorder
  * to record things

#### Coding
* gdb 
  * for debugging in neovim
* ltrace
  * for reverse engineering
* repo
  * to sync android tree
* luaformatter
  * to format lua code
* prettier
  * to format web code

#### Text Editing
* pandoc
  * for word processing
* texlive
  * for word processing
* latexmk
  * for vim latex support
* ctags
  * for vieving tags in vim
* libreoffice
  * for vieving and editing doc files
* wl-clipboard
  * to use copy and paste in cli
* fcitx5 
  * to use chinnnese input.
    * fcitx5-gtk 
    * fcitx5-rime 

#### Info
* powertop
  * for battery stat
* radeontop
  * to see gpu usage
* bat
  * for better cat
* eix
  * for emerge managament
* mediainfo
  * for viewing media info.
* ncdu
  * to view disk usage
* iotop
  * to see disk io

#### Cosmetic
* dejavu
  * for better font
* Symbols-2048-em Nerd Font Complete.ttf (locally)
  * for nerd icon
* geteltorito
  * for flashing bios image

#### Pentesting
* cracklib-words
  * wordlist
* lynis
  * to analyze vuls
* nmap
  * to scan ports
* aide
  * to check file integrity
* arp-scan
  * to scan local network.
* openVPN
  * to access THM machines.
* whois
  * to query domain status

### Local
* cxxmatrix
  * cool matrix effects.
* gamescope
  * RSR for steam games

### Pip (I hate this)
* pip-autoremove
  * to remove pip software
* subilminal
  * to download subs using mpv scripts
* flask_session
  * flask web development
* sqlformat
  * to format sql code
* pipreqs
  * automatically generate requirements.txt
* pmbootstrap
  * postmarketOS development
* imagegonord
	* to rice my wallpaper

### npm 
* neovim
  * for npm support

### go
* go buster
  * for brute-force URLs

### Cargo
* zeta-note
  * lsp for markdowm
